<?php
namespace ID3\Framework;

class Admin extends \ID3\Bases\AdminInstance{

    function __construct(){
        parent::__construct(__NAMESPACE__);
    }

    function registerAdminMenu(){
        
        add_menu_page( 
            'ID-3'                          // page title
            ,'ID-3'                         // menu title
            ,'manage_options'               // capabilities
            ,'id3-tools'                    // slug
            ,[$this, 'renderAdminPage']     // page renderer
            ,'dashicons-layout'             // icon 
            //,32                             // position
        );
    }
    
    function registerNetworkAdminMenu(){
        
        add_menu_page( 
            'ID-3'                          // page title
            ,'ID-3'                         // menu title
            ,'manage_options'               // capabilities
            ,'id3-tools'                    // slug
            ,[$this, 'renderNetworkAdminPage']     // page renderer
            ,'dashicons-layout'             // icon 
            ,100                             // position
        );
    }

    function getNetworkControllerName(){
        return $this->getControllerName();
    }
}

new Admin();