# Version 0.1.37

### This is the way
From now on, all tools should be distributed via the ID-3 Innovations' Structural Framework. This new construct will enabled more flexibility and less time of development in our future projects. Combine with a solid code and style infrastructure, it also offers a streamlined look across all plugins.

### Features
* Bootstrap automation - Main and Admin base classes
* Shortcodes - See all available shortcodes, grouped by plugins
* REST API - See all available REST API registration across plugins
* Localization - Only client side support for now
* Gutenberg - Support development for Wordpress Block editor in plugins
* Universal Color Palette - Define a color palette shared across all plugins
* Universal styles - Configuration of buttons, gap, animation speed, general corner roundness
* Complexe input and picker dialog for admin configuration


### Links
* [ID-3 Innovations](https://www.id-3.com/) - Support

## Change log

### 0.1.37
* Minor ajustments and bug fixes

### 0.1.27
* Universal styles - Configuration of buttons, gap, animation speed, general corner roundness
* Add PHP Components class
** Button / Action button
* Add Javascript Modules
** ID3FrameworkComponents
*** id3Button
** ID3Animate
*** id3BindToScroll
*** id3HoverClass
** ID3Masonry
* Icon picker input



### 0.1.26
* Universal color palette
* Add Gutenberg block support

### 0.1.25
* Add page picker directive
* Add support for PHP translation based on plugin's json translation file
* Minor visual update for controls
* Minor public javascript framework update
** event handling of directive scope element


### 0.1.24
* Cropping tool
** Fix huge picture bug
** Add localisation
* Add style, script and html version for cache
* Add logo and icon for update


### 0.1.23
* Add picture input and cropping tool

### 0.1.22
* Added protection for empty saved data
* Added toast message on save

### 0.1.21
* Fix plugin update icon missing

### 0.1.19
* Add helper functions
* Fix minor bugs

### 0.1.18
* Support for Wordpress 5.5.8

### 0.1.17
* Prevent plugins' settings from loading multiple times throughout the page renders

### 0.1.16
* Add helper function to remove class filter hook

### 0.1.15
* Improved javascript framework 

### 0.1.14
* Implementation of the new update system

### 0.1.13
* PHP - Add default setting value for settings->get

### 0.1.11
* Add log method to plugin base class
* Add action hook to Settings/Save methods (generic and plugin specific)


requires: 5.1.1
tested: 6.0