

id3Plugin
.controller('fwSetupCtrl', function($scope, $rootScope, $id3Rest, $id3UI, $timeout){
    const PLUGIN_PATH_FORMAT = 'https://github.com/id3tech/{0}/archive/{1}.zip';
    $scope.model = {
        pluginVersion : 'master',
        state: 'idle'
    }
    
    $scope.plugins = [
        {key: 'Source-Immo-Wordpress-Plugin', label: 'Source Immo'},
        {key: 'Aliquando-Wordpress-Plugin', label: 'Aliquando'},
        {key: 'Realty-Tools-Wordpress-Plugin', label: 'Realty Tools'},
        {key: 'Realty-Projects-Wordpress-Plugin', label: 'Realty Projects'},
        {key: 'Script-Manager-Wordpress-Plugin', label: 'Script Manager'},
        {key: 'Kamelo-Wordpress-Plugin', label: 'Kamelo'},
        {key: 'Yoamo-Wordpress-Plugin', label: 'Yoamo'},
        {key: 'Testimonials-Wordpress-Plugin', label: 'Testimonials'},
        {key: 'Redirections-Wordpress-Plugin', label: 'Redirections'},
        {key: 'Articles-Wordpress-Plugin', label: 'Articles'},
    ]

    $scope.init = function(){
        console.log('setupCtrl/init');
        $scope.registerPages( [
            {key: 'welcome', path: 'setup/welcome'},
            {key: 'plugins', path: 'setup/plugins'},
            {key: 'process', path: 'setup/process'}
        ]);
        
        $scope.registerValidation('plugins', _ => {
            return $scope.plugins.some($p => $p.selected);
        });
        

        $scope.$on('id3Wizard/pageEnter', function($event, $page){
            if($page.key == 'process'){
                $scope.model.state = 'processing';

                $timeout(_ => {
                    $scope.model.state = 'idle';
                    $scope.$emit('id3Wizard/complete');
                    console.log('complete');
                }, 2500);
            }
        });

        $scope.$on('id3Wizard/pageLeave', function($event, $page){

        });
    }

    

})