<div class="id3-plugin-element" ng-app="id3Plugin" 
                ng-controller="rootController" 
                ng-init="rootInit(true)">
    <div id="id3-page" class="<?php echo($this->key)?>">
        <div class="id3-page-header" >
            <div class="id3-title" >
                <h2><ls ng-cloak><?php echo($this->name) ?></ls>&nbsp;-&nbsp;<ls>Network</ls></h2>
                <em>Version <?php echo($this->version)?></em>
                <p><ls ng-cloak><?php echo($this->description) ?></ls>&nbsp;</p>
            </div>

            <div class="id3-logo">
                <img src="/<?php echo(\ID3\Framework\PLUGIN_URL) ?>assets/logos/ID3_color.png" />
            </div>
        </div>

        <div 
                class="id3-page-content {{getPageClass()}}" 
                >

            <div ng-controller="<?php echo($this->getNetworkControllerName()) ?>" ng-init="init()" ng-cloak>
                <?php $this->renderNetworkConfigs() ?>
            </div>

            
        </div>

        <div class="id3-page-actions" ng-cloak>
            <md-button class="md-icon-button" ng-click="goHome()"><i class="fal fa-home"></i></md-button>
            <md-menu>
                <md-button class="md-icon-button" ng-click="$mdMenu.open()"><i class="fal fa-cog"></i></md-button>
                <md-menu-content>
                    <md-menu-item><md-button ng-click="saveSettings()" ><i class="fal fa-save"></i> <ls>Save</ls></md-button></md-menu-item>
                    <md-menu-item><md-button ng-click="resetSettings()" ><i class="fal fa-undo"></i> <ls>Reset settings</ls></md-button></md-menu-item>
                    <md-divider></md-divider>
                    <md-menu-item><md-button ng-click="deletePlugin()"><i class="fal fa-trash"></i> <ls>Delete this plugin</ls></md-button></md-menu-item>
                </md-menu-content>
            </md-menu>
            
        </div>

    </div>
</div>
<!-- Angular Material requires Angular.js Libraries -->
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular-animate.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular-aria.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular-route.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular-messages.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular-sanitize.min.js"></script>

<!-- Angular Material Library -->
<script src="https://ajax.googleapis.com/ajax/libs/angular_material/1.1.8/angular-material.min.js"></script>

<!-- Other Libraries -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.1/moment-with-locales.min.js" integrity="sha512-LGXaggshOkD/at6PFNcp2V2unf9LzFq6LE+sChH7ceMTDP0g2kn6Vxwgg7wkPP7AAtX+lmPqPdxB47A0Nz0cMQ==" crossorigin="anonymous"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/angular-moment/1.3.0/angular-moment.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/angular-ui-sortable/0.15.0/sortable.min.js"></script>
        
<?php
$this->renderScripts();